/*
       MMC (My Mail Client). The name says it all. A Gnome Mail Client.
       Copyright (C) 2000  Christian Biesinger <biesi@users.sourceforge.net> and
       Steven Behnke <sbehnke@digistatic.net>

       This program is free software; you can redistribute it and/or modify
       it under the terms of the GNU General Public License as published by
       the Free Software Foundation; either version 2 of the License, or
       (at your option) any later version.

       This program is distributed in the hope that it will be useful,
       but WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
       GNU General Public License for more details.

       You should have received a copy of the GNU General Public License
       along with this program; if not, write to the Free Software
       Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

       For the complete License see the file COPYING.
*/

#ifndef __MMC_ADDRESS_H
#define __MMC_ADDRESS_H

#ifdef HAVE_CONFIG_H
#include<config.h>
#endif

#include <alloca.h>
#if defined(HAVE_DB1_DB_H)
# include<db1/db.h>
#elif defined(HAVE_DB_185_H)
# include <db_185.h>
#endif
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <gtk/gtk.h>

// Globals

extern GtkWidget *addressList;

extern GtkWidget *address_entry;
extern GtkWidget *name_entry;

extern gboolean addressAdd;
extern gboolean updateAddress;

// Function Prototypes

GtkWidget *create_addressBook(void);
DB *openDatabase(int writeable);
int dbAdd(gchar *email, gchar *name, gboolean update);
int dbDelete(gchar *email);
int populateList(GtkWidget *clist);

gint Destroy(GtkWidget *widget, gpointer *data);

int entryDialog(GtkWidget *widget, gpointer *data);
void CloseDialog(GtkWidget *widget, gpointer *data);
void ClosingDialog(GtkWidget *widget, gpointer *data);

void deleteAddress(GtkWidget *widget, gpointer *data);
void updateRecord(GtkWidget *widget, gpointer *data);

void open_book(GtkWidget *widget, gpointer *data);
void composeFromAddy(GtkWidget *widget, gpointer *data);

#endif //__MMC_ADDRESS_H
