/*
       MMC (My Mail Client). The name says it all. A Gnome Mail Client.
       Copyright (C) 2000  Christian Biesinger <biesi@users.sourceforge.net> and
       Steven Behnke <sbehnke@digistatic.net>

       This program is free software; you can redistribute it and/or modify
       it under the terms of the GNU General Public License as published by
       the Free Software Foundation; either version 2 of the License, or
       (at your option) any later version.

       This program is distributed in the hope that it will be useful,
       but WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
       GNU General Public License for more details.

       You should have received a copy of the GNU General Public License
       along with this program; if not, write to the Free Software
       Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

       For the complete License see the file COPYING.
*/

#ifndef __MMC_IMAP_H
#define __MMC_IMAP_H

#include <gtk/gtk.h>
#include "protocols.h"

#define DEFAULT_IMAP_PORT "143"
#define DEFAULT_IMAP_FOLDER "INBOX"

struct ImapMsgData {
/* // These data ought to be in the CFolder...
	gchar* server;
	gint port;
	gchar *folder; */
	gint msgnum;
	gint row;
};

class CFolderImap : public CFolder {
	public:
		CFolderImap();
		virtual char* query() const  {return "IMAP";}

		virtual void free(void* data) { delete (ImapMsgData*)data; }
		virtual int init(GtkCList *mails, GtkText *text);
		virtual int parse();
		virtual int select(void* data);

		virtual int create();
		virtual int addFolder();
		virtual int remove(gboolean onlyfromlist) { return 0; } // TODO

		virtual int addMail(const gchar *text) { return 0; } // TODO
		virtual char* get(gint row) { return get(gtk_clist_get_row_data(mail_list, row)); }
		virtual char* get(void* data);
		virtual int del(gint row) { return del(gtk_clist_get_row_data(mail_list, row)); }
		virtual int del(void* data);
		virtual void markRead(void*) {} // TODO

	protected:
		void error(gchar* err, gchar* line = NULL);
		// reserved MUST be NULL. May be used later for
		// Authentication Method.
		void folderDialog(gboolean);
		PROTO_ERR login();
		//PROTO_ERR login(gchar* server, gint port, gint reserved, gchar* user, gchar* pw);
		CFolderImap(const gchar *Nserver, gint Nport, gint Nreserved, const gchar* Nuser, const gchar* Npw, const gchar *Nmailbox);

		const gchar* server;
		gint port;
		const gchar* user;
		const gchar* pw;
		const gchar* mailbox;
		gint fd; // The Socket
		gint num; // Each command must have a number prefixed...
		gint numMsg; // The number of Messages in the folder.
};

#endif // __MMC_IMAP_H
