/*
       MMC (My Mail Client). The name says it all. A Gnome Mail Client.
       Copyright (C) 2000  Christian Biesinger <biesi@users.sourceforge.net> and
       Steven Behnke <sbehnke@digistatic.net>

       This program is free software; you can redistribute it and/or modify
       it under the terms of the GNU General Public License as published by
       the Free Software Foundation; either version 2 of the License, or
       (at your option) any later version.

       This program is distributed in the hope that it will be useful,
       but WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
       GNU General Public License for more details.

       You should have received a copy of the GNU General Public License
       along with this program; if not, write to the Free Software
       Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

       For the complete License see the file COPYING.
*/

#ifndef __MMC_POP3_H
#define __MMC_POP3_H

#include <gnome.h>
#include "protocols.h"


struct widgets {
	GtkWidget *status;
	GtkWidget *current;
	GtkWidget *progress;
};

struct pop3_conf_data {
	GtkWidget *server;
	GtkWidget *port;
	GtkWidget *user;
	GtkWidget *pass;
};

extern void get_mail(GtkWidget*, gpointer );

#define UIDL 0 // 0 = Don't use UIDL
#define DELE 1 // 1 = Use DELE

void found_host(guint32 ip, gpointer data);
	
class CProtoPop3 : public CProto {
public:
	CProtoPop3();
	virtual int get(const gchar*);
	virtual GtkWidget* config(enum PROTO_FLAGS, const gchar*, const gchar*,
		GtkWidget*);
	virtual gchar* applyConfig(enum PROTO_FLAGS, GtkWidget*);
	virtual char* query() const { return "POP3"; }
	virtual int flags() { return FLAG_RECV; }
	virtual int send(const gchar *string, const gchar *from, gchar *to[],
		const gchar *data, GtkWidget *dialog) { return 0; }

	virtual int send(int a1, const void* a2, ssize_t a3, int a4) { return CProto::send(a1,a2,a3,a4); }
	PROTO_ERR retr(const gchar* pass, gpointer data);
protected:
	pop3_conf_data conf_data; //for configuration
};

#endif // __MMC_POP3_H
