/*
       MMC (My Mail Client). The name says it all. A Gnome Mail Client.
       Copyright (C) 2000  Christian Biesinger <biesi@users.sourceforge.net> and
       Steven Behnke <sbehnke@digistatic.net>

       This program is free software; you can redistribute it and/or modify
       it under the terms of the GNU General Public License as published by
       the Free Software Foundation; either version 2 of the License, or
       (at your option) any later version.

       This program is distributed in the hope that it will be useful,
       but WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
       GNU General Public License for more details.

       You should have received a copy of the GNU General Public License
       along with this program; if not, write to the Free Software
       Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

       For the complete License see the file COPYING.
*/

#ifndef __MMC_SMTP_H
#define __MMC_SMTP_H

#include "protocols.h"

int send_mail(GtkWidget *, const char *from, char *to[], const char *data);

class CProtoSmtp : public CProto {
	public:
	CProtoSmtp() { return; }
	virtual int get(const gchar* data) { return 0; }
	// returns -1 on error
	virtual int send(const gchar* string, const gchar* from, gchar* to[], const gchar* data, GtkWidget* dialog);

	// ------------------------
	// Querying
	// ------------------------

	virtual gchar* query() const { return "SMTP"; }
	virtual int flags() { return FLAG_SEND; }

	// -------------------------
	// Configuration
	// -------------------------
	
	virtual GtkWidget* config(PROTO_FLAGS flag, const gchar* account, const gchar *yourstring, GtkWidget *prefs);

	virtual gchar* applyConfig(PROTO_FLAGS flag, GtkWidget* widget) {
		return gtk_entry_get_text(cnf_smtp_serv);
	}

	// -------------------------
	// Compiler-Bug workarounds
	// -------------------------
	
	virtual int send(int a1, const gchar* a2, ssize_t a3, int a4) { return CProto::send(a1, a2, a3, a4); }
protected:
	GtkEntry *cnf_smtp_serv;
};

#endif // __MMC_SMTP_H
